Subject: DLSw traps?

From: [email-masked]
Date: Wed, 23 Feb 94 18:37:18 EST

In addition to the MIB submissions that may be brewing at various
companies, Glenn and I would like to get a consensus on the question
of DLSw-specific traps.  Here are a few general conditions I've
thought of that might be trap-worthy:
  - DLSw protocol violation (we came up with some Thursday night)
  - Partner rejected (capex rejection, not on partner list, etc.)
  - TCP connection failure
  - Network loop detected (assuming we can solve this and then only
    report it once per loop)
  - Out of resources (this is really product-specific but there are
    common DLSw conditions we could identify)

I believe the major customer advantage for DLSw-specific traps (as
opposed to product-specific traps) is to be able to write automated
scripts that expect the same information to be in the same places
from multiple products.  Of course, we have tons of work to do on
the MIB, so it may be best to stick to the MIB for now and defer work
on traps until the MIB is done.  That is my personal vote.  But a
number of you wanted to see alerts and, as I mentioned last Thurs-
day, defining traps with GA information would allow us to get both
traps and alerts.

So, please post your views on the following questions:

1) Should we work on DLSw-specific traps in parallel with the MIB,
   or should we concentrate on the MIB first?

2) (if you think we should pursue traps)  Which of the conditions
   listed above, or additional ones, should we define a trap for?

3) If the consensus were to end up that we should work on traps, do
   you feel that implementing them should be part of the DLSw base?

Thanks,
Peter Gayek